package de.szut.casino.user;

import de.szut.casino.user.dto.CreateUserDto;
import de.szut.casino.user.dto.GetUserDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

@Service
public class UserMappingService {
    
    public GetUserDto mapToGetUserDto(UserEntity user) {
        return new GetUserDto(user.getId(), user.getEmail(), user.getUsername(), user.getBalance());
    }
}

